Bug 1899306 - Failed to publish content view: "PG::UniqueViolation: ERROR: duplicate key value violates unique constraint "index_katello_docker_meta_tags_on_schema1_id_and_schema2_id" DETAIL: Key (schema1_id, schema2_id)"
Summary: Failed to publish content view: "PG::UniqueViolation: ERROR: duplicate key va...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 6.8.2
Assignee: Samir Jha
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-18 20:46 UTC by James Jeffers
Modified: 2020-12-15 13:15 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1854026
Environment:
Last Closed: 2020-12-15 13:15:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30322 0 Low Closed ActiveRecord::RecordNotUnique: PG::UniqueViolation: ERROR: duplicate key value violates unique constraint 2021-01-10 20:15:51 UTC
Red Hat Knowledge Base (Solution) 5214051 0 None None None 2020-11-18 20:47:06 UTC
Red Hat Product Errata RHBA-2020:5467 0 None None None 2020-12-15 13:15:43 UTC

Comment 3 Lai 2020-12-01 19:24:21 UTC
Steps to retest:

1. Create a CCV and add a CV that contains a docker repo.
2. Publish the CCV which will create version 1.
3. Run the following commands to get all orphaned Katello::DockerMetaTag records.

foreman-rake console
Katello::DockerMetaTag.where("id not in (?)", Katello::RepositoryDockerMetaTag.pluck(:docker_meta_tag_id)).size
exit

4. Verify that the record returns 0
5. Remove the CCV version 1 and wait until the task is finished.
6. Repeat step 3
7. Verify that the record returns 0

Expected:
4 & 7)
# foreman-rake console
Loading production environment (Rails 6.0.3.1)
irb(main):001:0> Katello::DockerMetaTag.where("id not in (?)", Katello::RepositoryDockerMetaTag.pluck(:docker_meta_tag_id)).size
=> 0
irb(main):002:0> exit

# foreman-rake console
Loading production environment (Rails 6.0.3.1)
irb(main):001:0> Katello::DockerMetaTag.where("id not in (?)", Katello::RepositoryDockerMetaTag.pluck(:docker_meta_tag_id)).size
=> 0
irb(main):002:0> 


Actual:
4 & 7)
# foreman-rake console
Loading production environment (Rails 6.0.3.1)
irb(main):001:0> Katello::DockerMetaTag.where("id not in (?)", Katello::RepositoryDockerMetaTag.pluck(:docker_meta_tag_id)).size
=> 0

# foreman-rake console
Loading production environment (Rails 6.0.3.1)
irb(main):001:0> Katello::DockerMetaTag.where("id not in (?)", Katello::RepositoryDockerMetaTag.pluck(:docker_meta_tag_id)).size
=> 0

Verified on 6.8.2_01

Comment 8 errata-xmlrpc 2020-12-15 13:15:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.8.2 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5467


Note You need to log in before you can comment on or make changes to this bug.